This page describes Revolution release 149.
Search these docs, or ask Revo a question — answers link the pages they came from.
Used to create a store
POST
/api/v1/{tenantId}/stores
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Request Body
Section titled “Request Body ”object
tenantId
string
tenantUuid
string
name
string
color
string
defaultLabwareType
string
Responses
Section titled “ Responses ”OK
object
storeDescriptor
object
storeId
string
name
string
color
string
defaultLabwareType
string
storedObjectCount
integer format: int32
storeAreas
Array<object>
object
storeAreaId
string
storeId
string
storageDeviceId
string
startPosition
integer format: int32
endPosition
integer format: int32
storageDeviceName
string
storedObjectCount
integer format: int32
Bad Request
object
message
string
code
string
retryable
boolean
field
string
data
Too Many Requests
object
message
string
code
string
retryable
boolean
field
string
data
Service Unavailable
object
message
string
code
string
retryable
boolean
field
string
data
Gateway Timeout
object
message
string
code
string
retryable
boolean
field
string
data